Name:		perl-Regexp-Grammars
Version:	1.041
Release:	3%{?dist}
Summary:	Add grammatical parsing features to perl regular expressions
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Regexp-Grammars/
Source0:	http://www.cpan.org/authors/id/D/DC/DCONWAY/Regexp-Grammars-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Lexical::Var)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Moose::Util::TypeConstraints)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%filter_from_provides /perl(Regexp)/d
%filter_provides_in %{_docdir}
%filter_setup


%description
This module adds a small number of new regular expressions constructs that
can be used to implement complete recursive-descent parsing.

These constructs use the grammar patterns that were added to perl's
regular expressions in perl 5.10.

%prep
%setup -q -n Regexp-Grammars-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}

%check
./Build test

%files
%doc Changes README demo/
%{perl_vendorlib}/Regexp/
%{_mandir}/man3/Regexp::Grammars.3pm*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.041-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.041-2
- Perl 5.22 rebuild

* Mon May  4 2015 Bill Pemberton <wfp5p@worldbroken.com> - 1.041-1
- Update to version 1.041
- fixes implicit whitespace-matching invalidating subrule argument lists

* Thu Mar 26 2015 Bill Pemberton <wfp5p@worldbroken.com> - 1.040-1
- Update to version 1.040
- updates tests

* Sat Feb  7 2015 Bill Pemberton <wfp5p@worldbroken.com> - 1.039-1
- Update to version 1.039

* Thu Dec 11 2014 Bill Pemberton <wfp5p@worldbroken.com> - 1.038-1
- update to version 1.038
- Fixes bug where actions persisted after a failed ->with_actions() match

* Wed Sep 17 2014 Bill Pemberton <wfp5p@worldbroken.com> - 1.036-1
- update to upstream version 1.036
- minor fix to debug behaviour

* Fri Sep 12 2014 Bill Pemberton <wfp5p@worldbroken.com> - 1.035-2
- Bump release to deal with fedpkg problems I'm having

* Fri Sep 12 2014 Bill Pemberton <wfp5p@worldbroken.com> - 1.035-1
- Update to version 1.35
- Returns the module to full functionality with perl >= 5.20

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.033-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.033-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep  2 2013 Bill Pemberton <wfp5p@worldbroken.com> - 1.033-1
- update to version 1.33

* Tue Aug 20 2013 Bill Pemberton <wfp5p@viridian.itc.virginia.edu> - 1.031-1
- update to version 1.31
- Updated warnings regarding incompatibilities with perl 5.18

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.030-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 1.030-2
- Perl 5.18 rebuild

* Fri Jun 28 2013 Bill Pemberton <wfp5p@virginia.edu> - 1.030-1
- update to version 1.030
- includes deprecation message for perl 5.18

* Mon May 13 2013 Bill Pemberton <wfp5p@virginia.edu> - 1.028-1
- update to verison 1.028
- fixes bug where 0 used as an atom
- fixes caching bug within interpolation support

* Mon Feb  4 2013 Bill Pemberton <wfp5p@virginia.edu> - 1.026-1
- update to version 1.026

* Thu Sep 13 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.021-4
- remove explict requires for Data::Dumper and Scalar::Util

* Wed Sep 12 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.021-3
- update Requires and BuildRequires
- remove filter_from_requires
- filter out requirements of the demo scripts
- filter out perl(Regexp) from provides

* Mon Aug 27 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.021-2
- Remove BuildRoot

* Fri Aug 24 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.021-1
- Initial version

